Name: glui
Version:  2.36
Release:  3%{?dist}
Summary: A GLUT-Based User Interface Library

Group: Development/Libraries
License: zlib + LGPLv2+
URL: http://glui.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
#Upstream only builds a static library, this makes a solib.
Patch0: glui-2.36-solib.patch
BuildRequires: freeglut-devel libXi-devel libXmu-devel

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description
GLUI is a GLUT-based C++ user interface library which provides controls
such as buttons, checkboxes, radio buttons, and spinners to OpenGL applications. 
It is window-system independent, relying on GLUT to handle all system-dependent 
issues, such as window and mouse management. 


%description devel
GLUI is a GLUT-based C++ user interface library which provides controls
such as buttons, checkboxes, radio buttons, and spinners to OpenGL applications. 
It is window-system independent, relying on GLUT to handle all system-dependent 
issues, such as window and mouse management. 

These are the development files.

%prep
%setup -q
%patch0 -p1 -b .solib
find -type f -name '*.cpp' | xargs chmod -x
find -type f -name '*.h' | xargs chmod -x

%build
pushd src
%{__make} CPPFLAGS="%{optflags} -I./ -I./include -fPIC" %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_includedir}/GL
install -p -m 644 src/include/GL/glui.h %{buildroot}%{_includedir}/GL/
mkdir -p %{buildroot}%{_libdir}
install -p -m 755 src/libglui.so.0.0 %{buildroot}%{_libdir}/
ln -s %{_libdir}/libglui.so.0.0 %{buildroot}%{_libdir}/libglui.so.0
ln -s %{_libdir}/libglui.so.0 %{buildroot}%{_libdir}/libglui.so


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc src/LICENSE.txt
%{_libdir}/*.so.*

%files devel
%doc src/doc/ src/example/ www/ 
%{_libdir}/*.so
%{_includedir}/GL/
%{_includedir}/GL/glui.h


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.36-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Jon Ciesla <limb@jcomserv.net> - 2.36-2
- Review fixes. from BZ 845308, comment 1.

* Thu Aug 02 2012 Jon Ciesla <limb@jcomserv.net> - 2.36-1
- create.
